---
title: CSSUnitValue.CSSUnitValue()
slug: Web/API/CSSUnitValue/CSSUnitValue
tags:
  - API
  - CSS Typed Object Model API
  - CSSUnitValue
  - Constructor
  - Experimental
  - Houdini
  - Reference
---
<div>{{draft}}{{APIRef("CSS Typed Object Model API")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>CSSUnitValue()</code></strong> constructor creates a new {{domxref("CSSUnitValue")}} object which returns a new {{domxref('CSSUnitValue')}} object which represents values that contain a single unit type. For example, "42px" would be represented by a <code>CSSNumericValue</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>CSSUnitValue</var> = new CSSUnitValue()</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt>value</dt>
	<dd>Returns a double indicating the number of units.</dd>
	<dt>unit</dt>
	<dd>Returns a {{jsxref('USVString')}} indicating the type of unit.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>The following shows a method of creating a {{domxref('CSSPositionValue')}} from individual <code>CSSUnitValue</code> constructors.</p>

<pre>let pos = new CSSPositionValue(
    new CSSUnitValue(5, "px"),
    new CSSUnitValue(10, "px"));
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('CSS Typed OM','#simple-numeric','CSSUnitValue')}}</td>
			<td>{{Spec2('CSS Typed OM')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSUnitValue.CSSUnitValue")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
	<li>{{domxref('CSSUnitValue.unit')}}</li>
	<li>{{domxref('CSSUnitValue.value')}}</li>
	<li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API/Guide">Using the CSS Typed OM</a></li>
	<li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API">CSS Typed Object Model API</a></li>
</ul>
